Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 454158

Summary: USB audio broken after resume from hibernate
Product: [Fedora] Fedora Reporter: Carl Roth <roth>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9   
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 15:52:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Output of 'lshal'
none
Sample syslog output showing kernel oops none

Description Carl Roth 2008-07-05 17:10:08 UTC
Description of problem:

My system has a Logitech USB audio headset; when I resume the system from
hibernate the system log shows a kernel oops and the USB audio device is
disabled.  AFAIK the only way to get the audio device working again is to reboot
the system.

Version-Release number of selected component (if applicable):

kernel-2.6.25.9-76.fc9.x86_64
pm-utils-1.1.0-7.fc9.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Carl Roth 2008-07-05 17:10:52 UTC
Created attachment 311071 [details]
Output of 'lshal'

Comment 2 Carl Roth 2008-07-05 17:13:20 UTC
Created attachment 311072 [details]
Sample syslog output showing kernel oops

Comment 3 Carl Roth 2008-07-05 17:15:56 UTC
I tried to work around the issue by adding snd-usb-audio to the SUSPEND_MODULES
list for pm-utils.  For a handful of times, the system would come out of
hibernate with the device enabled.  It still generated the oops message, but I
can't tell if it was generated before or after the resume.  After enough
iterations, the USB device became permanently disabled.


Comment 4 Bug Zapper 2009-06-10 01:56:05 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2009-07-14 15:52:28 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.